#pragma once

#include <TinySensor.h>

class HumiditySensor : public TinySensor {
	SensorType sensorType = HUMIDITY;

public:
	HumiditySensor(short id) :
		TinySensor(id) {
	}

	void sendHumidityAndVoltage(int humidity) {
		sendInfo(ID(id) | VCC(readVcc()) | HUMIDITY(humidity) | TYPE(sensorType));
	}

	void sendHumidity(int humidity) {
		sendInfo(ID(id) | HUMIDITY(humidity) | TYPE(sensorType));
	}
};
